View Issue Details

IDProjectCategoryView StatusLast Update
0004371Talerotherpublic2016-10-11 17:28
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004371: add timeouts in taler-wallet-lib.js
Description... if the wallet doesn't understand a DOM event, there is currently no way to detect this.

To make these kind of errors more evident, we should have a reasonable timeout (say, 1sec) in the library to let us know that the wallet isn't responding.
TagsNo tags attached.

Activities

Florian Dold

2016-09-26 14:53

manager   ~0011159

Implemented some time ago in taler-wallet-lib.ts.

We now get warnings in the console if the wallet isn't responding.

Issue History

Date Modified Username Field Change
2016-04-06 17:55 Florian Dold New Issue
2016-04-07 09:24 Christian Grothoff Product Version => 0.0
2016-04-07 09:24 Christian Grothoff Target Version => 0.1
2016-04-07 09:25 Christian Grothoff Status new => confirmed
2016-04-08 00:09 Christian Grothoff Assigned To => Florian Dold
2016-04-08 00:09 Christian Grothoff Severity minor => feature
2016-04-08 00:09 Christian Grothoff Status confirmed => assigned
2016-04-08 00:09 Christian Grothoff Target Version 0.1 => 0.2
2016-09-26 14:53 Florian Dold Note Added: 0011159
2016-09-26 14:53 Florian Dold Status assigned => resolved
2016-09-26 14:53 Florian Dold Resolution open => fixed
2016-09-26 15:20 Christian Grothoff Fixed in Version => 0.1
2016-09-26 15:20 Christian Grothoff Target Version 0.2 => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed